Beispiel #1
0
 private void InternalUnsuppressFeatures(ObjectCollection features)
 {
     PartComponentDefinitionInstance.UnsuppressFeatures(features);
 }
Beispiel #2
0
        //private ObjectsEnumerator InternalFindUsingPoint(Point point, SelectionFilterEnum[] objectTypes, Object proximityTolerance, bool visibleObjectsOnly)
        //{
        //    return PartComponentDefinitionInstance.FindUsingPoint( point,  objectTypes,  proximityTolerance,  visibleObjectsOnly);
        //}

        //private void InternalFindUsingRay(Point rayStartPoint, UnitVector rayDirection, double radius, out ObjectsEnumerator foundEntities, out ObjectsEnumerator locationPoints, bool findFirstOnly)
        //{
        //    PartComponentDefinitionInstance.FindUsingRay( rayStartPoint,  rayDirection,  radius, out  foundEntities, out  locationPoints,  findFirstOnly);
        //}

        //private ObjectsEnumerator InternalFindUsingVector(Point originPoint, UnitVector direction, SelectionFilterEnum[] objectTypes, bool useCylinder, Object proximityTolerance, bool visibleObjectsOnly, out Object locationPoints)
        //{
        //    return PartComponentDefinitionInstance.FindUsingVector( originPoint,  direction,  objectTypes,  useCylinder,  proximityTolerance,  visibleObjectsOnly, out  locationPoints);
        //}

        private void InternalGetEndOfPartPosition(out Object after, out Object before)
        {
            PartComponentDefinitionInstance.GetEndOfPartPosition(out after, out before);
        }
Beispiel #3
0
 private void InternalSetEndOfPartToTopOrBottom(bool setToTop)
 {
     PartComponentDefinitionInstance.SetEndOfPartToTopOrBottom(setToTop);
 }
Beispiel #4
0
 private void InternalExportObjects(ObjectCollection objects)
 {
     PartComponentDefinitionInstance.ExportObjects(objects);
 }
Beispiel #5
0
 private void InternalDeleteObjects(ObjectCollection objects, bool retainConsumedSketches, bool retainDepFeatsAndSketches, bool retainDepWorkFeats)
 {
     PartComponentDefinitionInstance.DeleteObjects(objects, retainConsumedSketches, retainDepFeatsAndSketches, retainDepWorkFeats);
 }
Beispiel #6
0
 private GeometryIntent InternalCreateGeometryIntent(Object geometry, Object intent)
 {
     return(PartComponentDefinitionInstance.CreateGeometryIntent(geometry, intent));
 }
Beispiel #7
0
 private iPartFactory InternalCreateFactory()
 {
     return(PartComponentDefinitionInstance.CreateFactory());
 }
Beispiel #8
0
 private void InternalClearAppearanceOverrides(Object appearanceOverrideObjects)
 {
     PartComponentDefinitionInstance.ClearAppearanceOverrides(appearanceOverrideObjects);
 }